-------------------------------------------------------------------------------
-- Localized Lua globals.
-------------------------------------------------------------------------------
local _G = getfenv(0)

-------------------------------------------------------------------------------
-- Module namespace.
-------------------------------------------------------------------------------
local FOLDER_NAME, private = ...

local addon = private.addon
if not addon then
	return
end

local constants = addon.constants
local module = addon:GetModule(private.module_name)

local Z = constants.ZONE_NAMES

-----------------------------------------------------------------------
-- What we _really_ came here to see...
-----------------------------------------------------------------------
function module:InitializeQuests()
	local function AddQuest(questID, zoneName, coordX, coordY, faction)
		addon.AcquireTypes.Quest:AddEntity(module, {
			coord_x = coordX,
			coord_y = coordY,
			faction = faction,
			identifier = questID,
			item_list = {},
			location = zoneName,
			name = nil, -- Handled by memoizing table in the core.
		})
	end

	AddQuest(1578,	Z.IRONFORGE,			48.5,	43.0,	"Alliance")
	AddQuest(1618,	Z.IRONFORGE,			48.5,	43.0,	"Alliance")
	AddQuest(2751,	Z.ORGRIMMAR,			78.0,	21.4,	"Horde")
	AddQuest(2752,	Z.ORGRIMMAR,			78.0,	21.4,	"Horde")
	AddQuest(2753,	Z.ORGRIMMAR,			78.0,	21.4,	"Horde")
	AddQuest(2754,	Z.ORGRIMMAR,			78.0,	21.4,	"Horde")
	AddQuest(2755,	Z.ORGRIMMAR,			78.0,	21.4,	"Horde")
	AddQuest(7604,	Z.BLACKROCK_DEPTHS,		0,	0,	"Neutral")
	AddQuest(38500,	Z.DALARAN_BROKENISLES,		44.2,	28.7,	"Neutral")
	AddQuest(38501,	Z.DALARAN_BROKENISLES,		44.2,	28.7,	"Neutral")
	AddQuest(38519,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38523,	Z.DALARAN_BROKENISLES,		44.2,	28.7,	"Neutral")
	AddQuest(38526,	Z.SURAMAR,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38528,	Z.SURAMAR,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38531,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38533,	Z.DALARAN_BROKENISLES,		44.2,	28.7,	"Neutral") -- Needs updating
	AddQuest(38534,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38536,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38537,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38538,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38539,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38541,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38542,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(38833,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(39680,	Z.VALSHARAH,			0,	0,	"Neutral") -- Needs updating
	AddQuest(39681,	Z.DALARAN_BROKENISLES,		44.2,	28.7,	"Neutral")
	AddQuest(39699,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(41633,	Z.AZSUNA,			0,	0,	"Neutral") -- Needs updating
	AddQuest(41634,	Z.VALSHARAH,			0,	0,	"Neutral") -- Needs updating
	AddQuest(41635,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") -- Needs updating
	AddQuest(41636,	Z.STORMHEIM,			0,	0,	"Neutral") -- Needs updating
	AddQuest(41637,	Z.SURAMAR,			0,	0,	"Neutral") -- Needs updating
	AddQuest(41638,	Z.DALARAN_BROKENISLES,		45.9,	27.5,	"Neutral") -- Needs updating
	AddQuest(44449,	Z.DALARAN_BROKENISLES,		45.9,	27.5,	"Neutral") -- Needs updating

	self.InitializeQuests = nil
end
